package svc

import "juwan-backend/app/chat/rpc/internal/config"

type ServiceContext struct {
	Config config.Config
	Store  *ChatStore
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config: c,
		Store:  NewChatStore(),
	}
}
